#/usr/bin/python2
#encoding=utf-8  
import sys
import urllib
import urllib2
import json
import ssl
from datetime import datetime,timedelta

class AttributeEvaluationResult:
  

    def __init__(self, Attribute,Value,MatchedWords):
          #属性名称string
        self.__Attribute = Attribute
        
        #该属性的得分float
        self.__Value = Value 
        #命中该属性的词,多个string
        self.__MatchedWords = MatchedWords


    @property
    def Attribute(self):
        return self.__Attribute

    @Attribute.setter
    def Attribute(self,Attribute):
        self.__Attribute = str(Attribute)


    @property
    def MatchedWords(self):
        return self.__MatchedWords

    @MatchedWords.setter
    def MatchedWords(self,MatchedWords):
            self.__MatchedWords = [](MatchedWords)


    @property
    def Value(self):
        return self.__Value

    @Value.setter
    def Value(self,Value):
        self.__Value = float(Value)
